package org.elsys.labs.sampleeditor;

import java.util.List;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.viewers.ListViewer;
import org.eclipse.ui.part.EditorPart;

public class AddAction extends Action {

	private List<String> fContent;
	private EditorPart fEditorPart;

	public AddAction(List<String> content, EditorPart editorPart) {
		fContent = content;
		fEditorPart = editorPart;
	}

	@Override
	public void run() {
		InputDialog dialog = new InputDialog(fEditorPart.getSite().getShell(),
				"Add String", "New string :", null, null);
		if (IDialogConstants.OK_ID == dialog.open()) {
			fContent.add(dialog.getValue());
			ListViewer viewer = ((ElsysListEditor) fEditorPart).getListViewer();
			viewer.setInput(fContent);
			((ElsysListEditor)fEditorPart).setDirty();
		}
	}
}
