package org.elsys.labs.sampleeditor;

import java.util.List;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.ListViewer;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.ui.part.EditorPart;

public class RemoveAction extends Action {

	private List<String> fContent;
	private EditorPart fEditor;

	public RemoveAction(List<String> content, EditorPart part) {
		fContent = content;
		fEditor = part;
	}

	@Override
	public void run() {
		ISelection selection = ((ElsysListEditor) fEditor).getListViewer()
				.getSelection();
		if (StructuredSelection.class.isInstance(selection)) {
			StructuredSelection structuredSelection = (StructuredSelection) selection;
			for (Object tmpObject : structuredSelection.toArray()) {
				fContent.remove(tmpObject);
			}

			ListViewer viewer = ((ElsysListEditor) fEditor).
										getListViewer();
			viewer.setInput(fContent);
			((ElsysListEditor) fEditor).setDirty();
		}
	}
}
